/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.event {

import flash.events.Event;

/**
 * @author durieuxp
 */
public class ReplayEvent extends Event {

    /**
    * Event type.
    */
	public static const FILE_CHOSEN:String = "fileChosen";

    /**
     * Configuration file to load.
     */
    private var _replayFile:String = null;

    /**
     * date limits for replay
     */
    private var _from:Number;
    private var _to:Number;

    public function ReplayEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false) {
        super(type, bubbles, cancelable);
    }

    public function get replayFile():String {
        return _replayFile;
    }

    public function set replayFile(value:String):void {
        _replayFile = value;
    }

    public function get from():Number {
        return _from;
    }

    public function set from(value:Number):void {
        _from = value;
    }

    public function get to():Number {
        return _to;
    }

    public function set to(value:Number):void {
        _to = value;
    }
}
}
